classification
Title: pydoc displays __loader__ as module data
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, eric.araujo, eric.snow, georg.brandl, pitrou, python-dev
Priority: release blocker Keywords: patch

Created on 2012-06-24 14:09 by pitrou, last changed 2012-08-06 21:20 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
pydoc-ignore-__loader__.diff eric.araujo, 2012-07-02 19:46 review
Messages (12)
msg163788 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-24 14:09
Everything's in the title. __loader__ probably needs to be blacklisted.
msg164537 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-07-02 19:46
Attached patch does the trick.  (Also removes extra whitespace in three lines and groups the ignored names by topic for ease of reading.)

No test fails before or after the patch; there are some pydoc tests that check full text or HTML output, but apparently none that triggers the appearance of of __loader__ in the module data section.  If someone thinks such a test is needed, please complete my patch, otherwise I can commit it.
msg164539 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-07-02 19:51
Looks good to me.
msg165968 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-07-20 18:57
I have internet problems at home and am not set up to work on Python at work, so feel free to commit the patch.
msg167511 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-08-05 19:10
Can you still not commit this patch, Eric?
msg167567 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-08-06 14:42
Now I have hardware issues, so no.
msg167577 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-08-06 20:19
Georg, is it okay if I commit this on Eric's behalf for 3.3?
msg167580 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-08-06 20:51
Great to review such patches, where I have to take out a notepad and write the names down to check a 1-item addition.</grumble>

But it seems it does what's on the label, so go ahead.
msg167582 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-08-06 21:12
I will alphabetize as part of the patch (I had the same issue myself of verifying the change).
msg167583 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-08-06 21:15
Sorry for the annoyance.  I changed the order (and did not choose to alphabetize) because I thought it was easier to read with names grouped by topic, as I said in an earlier message, but please do as you think best.
msg167585 - (view) Author: Roundup Robot (python-dev) Date: 2012-08-06 21:19
New changeset 6a27b9f37b05 by Brett Cannon in branch 'default':
Issue #15163: Pydoc shouldn't show __loader__ as a part of a module's
http://hg.python.org/cpython/rev/6a27b9f37b05
msg167586 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-08-06 21:20
Don't worry about it, Eric. while the idea of grouping by concept is laudable, when the list is that long it's best to just alphabetize to make diffs easier to read.
History
Date User Action Args
2012-08-06 21:20:31brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg167586

stage: commit review -> resolved
2012-08-06 21:19:28python-devsetnosy: + python-dev
messages: + msg167585
2012-08-06 21:15:28eric.araujosetmessages: + msg167583
2012-08-06 21:12:45brett.cannonsetassignee: georg.brandl -> brett.cannon
messages: + msg167582
2012-08-06 20:51:52georg.brandlsetmessages: + msg167580
2012-08-06 20:19:52brett.cannonsetpriority: low -> release blocker

nosy: + georg.brandl
messages: + msg167577

assignee: georg.brandl
2012-08-06 14:42:32eric.araujosetassignee: eric.araujo -> (no value)
messages: + msg167567
2012-08-05 19:10:51brett.cannonsetmessages: + msg167511
2012-07-20 18:57:58eric.araujosetmessages: + msg165968
2012-07-20 17:51:24brett.cannonsetassignee: eric.araujo
stage: patch review -> commit review
2012-07-02 19:51:31pitrousetmessages: + msg164539
2012-07-02 19:46:06eric.araujosetfiles: + pydoc-ignore-__loader__.diff

nosy: + eric.araujo
messages: + msg164537

keywords: + patch
stage: needs patch -> patch review
2012-06-24 14:09:49pitroucreate